package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.io.Serializable;
import java.util.HashMap;
import javax.servlet.http.HttpServletRequest;
import wenrgise.hrms.webtier.form.JasperReportForm;

public class RepRecruitmentListForm extends JasperReportForm {
  private String txtYYMM;
  
  private String txtLocationId;
  
  private String txtFromDate;
  
  private String txtToDate;
  
  private String butTxtFromDate;
  
  private String disabbutTxtFromDate;
  
  private String butTxtToDate;
  
  private String disabbutTxtToDate;
  
  public String getTxtYYMM() {
    return this.txtYYMM;
  }
  
  public void setTxtYYMM(String newTxtYYMM) {
    this.txtYYMM = newTxtYYMM;
  }
  
  public String getTxtLocationId() {
    return this.txtLocationId;
  }
  
  public void setTxtLocationId(String newTxtLocationId) {
    this.txtLocationId = newTxtLocationId;
  }
  
  public String getTxtFromDate() {
    return this.txtFromDate;
  }
  
  public void setTxtFromDate(String newTxtFromDate) {
    this.txtFromDate = newTxtFromDate;
  }
  
  public String getTxtToDate() {
    return this.txtToDate;
  }
  
  public void setTxtToDate(String newTxtToDate) {
    this.txtToDate = newTxtToDate;
  }
  
  public String getButTxtFromDate() {
    return this.butTxtFromDate;
  }
  
  public void setButTxtFromDate(String newButTxtFromDate) {
    this.butTxtFromDate = newButTxtFromDate;
  }
  
  public String getDisabbutTxtFromDate() {
    return this.disabbutTxtFromDate;
  }
  
  public void setDisabbutTxtFromDate(String newDisabbutTxtFromDate) {
    this.disabbutTxtFromDate = newDisabbutTxtFromDate;
  }
  
  public String getButTxtToDate() {
    return this.butTxtToDate;
  }
  
  public void setButTxtToDate(String newButTxtToDate) {
    this.butTxtToDate = newButTxtToDate;
  }
  
  public String getDisabbutTxtToDate() {
    return this.disabbutTxtToDate;
  }
  
  public void setDisabbutTxtToDate(String newDisabbutTxtToDate) {
    this.disabbutTxtToDate = newDisabbutTxtToDate;
  }
  
  public Serializable getData(HttpServletRequest req) {
    HashMap data = new HashMap();
    data.put("txtFromDate", getTxtFromDate());
    data.put("txtToDate", getTxtToDate());
    return data;
  }
}
